--- title: "Table Trust Scores" slug: "table-trust-scores" updated: 2026-01-06T19:11:43Z published: 2026-01-06T19:11:46Z canonical: "docs.validatar.com/table-trust-scores" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Table Trust Scores Get/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/trust-scores Returns trust score information for a specified table SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token API key needed to access endpoints. Each Validatar user can manage their own set of API keys. Path parametersdataSourceIdinteger (int32) Required Id of the specified data source schemaIdinteger (int32) Required Id of the specified schema tableIdinteger (int32) Required Id of the specified table Responses200 OK Expand Allobject dataSourceobject (Configuration.Api.Models.v1.TrustScoresMetaObjectDataSource) dataSourceNamestring | null Name of the specified data source dataSourceIdinteger (int32) ID of the specified data source dataSourceServerstring | null Server of the specified data source dataSourceDatabasestring | null Database of the specified data source includeInTrustScoreboolean Whether the specified data source is included in trust scores schemaobject (Configuration.Api.Models.v1.TrustScoresMetaObjectSchema) schemaNamestring | null Name of the specified schema schemaIdinteger (int32) ID of the specified schema includeInTrustScoreboolean Whether the specified schema is included in trust scores tableobject (Configuration.Api.Models.v1.TrustScoresMetaObjectTable) tableNamestring | null Name of the specified table tableIdinteger (int32) ID of the specified table tableTypestring Valid values[ "Table", "View" ] includeInTrustScoreboolean Whether the specified table is included in trust scores currentTrustScoresobject (Configuration.Api.Models.v1.TrustScoresCurrentTrustScores) trustScorenumber (double) Trust score of the specified table qualityScorenumber (double) Quality score of the specified table coverageScorenumber (double) Coverage score of the specified table qualityDimensionCountinteger (int32) Number of quality dimensions in the specified table's trust score qualityScoreNumeratornumber (double) Numerator of the specified table's quality score qualityScoreDenominatornumber (double) Denominator of the specified table's quality score trustScoreDatePeriodStartstring (date-time) Beginning date of the trust score period trustScoreDatePeriodEndstring (date-time) Ending date of the trust score period trustScoreTestExecutionCountinteger (int32) Number of test executions used in the trust score calculation trustScorePassedCountinteger (int32) Number of passed tests within the trust score period trustScoreFailedCountinteger (int32) Number of failed tests within the trust score period trustScoreErrorCountinteger (int32) Number of erroring tests within the trust score period impactRatingstring | null Name of the impact rating used by the specified table impactRatingTrustScoreTargetnumber (double) Target trust score of the impact rating used by the specified table impactRatingQualityScoreTargetnumber (double) Target quality score of the impact rating used by the specified table impactRatingCoverageScoreTargetnumber (double) Target coverage score of the impact rating used by the specified table currentTestStatusobject (Configuration.Api.Models.v1.TrustScoreTestStatus) passingTestsinteger (int32) Number of currently passing tests associated with the specified meta object failingTestsinteger (int32) Number of currently failing tests associated with the specified meta object erroringTestsinteger (int32) Number of currently erroring tests associated with the specified meta object intermittentTestsinteger (int32) Number of intermittently passing tests associated with the specified meta object notRunTestsinteger (int32) Number of tests associated with the specified meta object that have not been run